edu.sc.seis.sod

## Class EventStationPair

- java.lang.Object
- - edu.sc.seis.sod.WaveformWorkUnit
  - - edu.sc.seis.sod.AbstractEventPair
    - - edu.sc.seis.sod.CookieEventPair
      - - edu.sc.seis.sod.EventStationPair

- All Implemented Interfaces:
    java.lang.Runnable

      public class EventStationPair
      extends CookieEventPair

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.WaveformWorkUnit

      `dbid, failLogger, lastQuery, numRetries`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EventStationPair()` for hibernate
    `` | `EventStationPair(StatefulEvent event, edu.iris.Fissures.network.StationImpl station)`
    `` | `EventStationPair(StatefulEvent event, edu.iris.Fissures.network.StationImpl station, Status status)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `edu.iris.Fissures.network.StationImpl` | `getStation()`
    `int` | `getStationDbId()`
    `int` | `hashCode()`
    `void` | `run()`
    `protected void` | `setStation(edu.iris.Fissures.network.StationImpl sta)` for use by hibernate
    `java.lang.String` | `toString()`
    `void` | `update(Status status)` sets the status on this event network pair to be status and notifies its parent

    - ### Methods inherited from class edu.sc.seis.sod.CookieEventPair

      `getCookies, setCookies, setStatus`

    - ### Methods inherited from class edu.sc.seis.sod.AbstractEventPair

      `getEvent, getEventDbId, getStatus, setEvent, update`

    - ### Methods inherited from class edu.sc.seis.sod.WaveformWorkUnit

      `getDbid, getLastQuery, getNumRetries, setDbid, setLastQuery, setNumRetries, updateRetries`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventStationPair

          protected EventStationPair()

      for hibernate

    - #### EventStationPair

          public EventStationPair(StatefulEvent event,
                                  edu.iris.Fissures.network.StationImpl station)

    - #### EventStationPair

          public EventStationPair(StatefulEvent event,
                                  edu.iris.Fissures.network.StationImpl station,
                                  Status status)

  - ### Method Detail

    - #### run

          public void run()

    - #### update

          public void update(Status status)

      sets the status on this event network pair to be status and notifies its parent
      Specified by:
        `update` in class `AbstractEventPair`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `WaveformWorkUnit`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `WaveformWorkUnit`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getStationDbId

          public int getStationDbId()

    - #### getStation

          public edu.iris.Fissures.network.StationImpl getStation()

    - #### setStation

          protected void setStation(edu.iris.Fissures.network.StationImpl sta)

      for use by hibernate